$(function () {
    $('.horario').mask('00:00', { clearIfNotMatch: true });

    $('.check-dia-semana').change(function() {
        var horarios = $(this).parent().siblings().children('.horario');
        if ($(this).prop('checked')) {
            horarios.each(function(i, horario) {
                $(horario).prop('readonly', false);
            });
        } else {
            horarios.each(function (i, horario) {
                $(horario).prop('readonly', true);
                $(horario).val('');
            });
        }
    });

    $('#form-horarios-trabalho').submit(function(e) {
        return true;
    });
});